23119408 Upgrade testtools to 2.0.0
authorLaszlo Peter <laszlo.peter@oracle.com>
Wed, 07 Sep 2016 14:48:39 -0700
changeset 6841 0d56cd532a1a
parent 6840 693db52a014e
child 6842 57457f4223c7
23119408 Upgrade testtools to 2.0.0
components/python/testtools/Makefile
components/python/testtools/patches/01-requirements.patch
components/python/testtools/testtools-PYVER.p5m
components/python/testtools/testtools.license
--- a/components/python/testtools/Makefile	Wed Sep 07 14:48:39 2016 -0700
+++ b/components/python/testtools/Makefile	Wed Sep 07 14:48:39 2016 -0700
@@ -26,16 +26,16 @@
 include ../../../make-rules/shared-macros.mk
 
 COMPONENT_NAME=		testtools
-COMPONENT_VERSION=	1.8.0
+COMPONENT_VERSION=	2.0.0
 COMPONENT_SRC=		$(COMPONENT_NAME)-$(COMPONENT_VERSION)
 COMPONENT_ARCHIVE=	$(COMPONENT_SRC).tar.gz
 COMPONENT_ARCHIVE_HASH=	\
-    sha256:8afd6400fb4e75adb0b29bd09695ecb2024cd7befab4677a58c147701afadd97
+    sha256:8237ab211cdeced2ff69e7b51c66ed8b1fd2aa0b338b1749609f9567646fad57
 COMPONENT_ARCHIVE_URL=	$(call pypi_url)
-COMPONENT_PROJECT_URL=	https://launchpad.net/testtools
+COMPONENT_PROJECT_URL=	https://github.com/testing-cabal/testtools
 COMPONENT_BUGDB=	python-mod/testtools
 
-TPNO=			26391
+TPNO=			30212
 
 include $(WS_MAKE_RULES)/prep.mk
 include $(WS_MAKE_RULES)/setup.py.mk
--- a/components/python/testtools/patches/01-requirements.patch	Wed Sep 07 14:48:39 2016 -0700
+++ b/components/python/testtools/patches/01-requirements.patch	Wed Sep 07 14:48:39 2016 -0700
@@ -1,23 +1,25 @@
-In-house patch to remove the dependency on unittest2. Python 2.7 
-includes unittest, which is equivalent to unittest2 for Python2.6.
-If this line is present, stevedore will fail to find the pip 
-package for it, which causes a failure.
+In-house patch to remove the dependency on unittest2. Python 2.7
+includes unittest, which is equivalent to unittest2 for Python 2.6. If
+this line is present, stevedore will fail to find the pip package for
+it, which causes a failure.
 
---- testtools-1.8.0/requirements.txt.orig	2015-07-27 13:16:49.747696519 -0400
-+++ testtools-1.8.0/requirements.txt	2015-07-27 13:25:50.886669833 -0400
[email protected]@ -3,5 +3,4 @@
+--- testtools-2.0.0/requirements.txt.~1~	2016-02-03 04:04:01.000000000 +0000
++++ testtools-2.0.0/requirements.txt	2016-09-06 16:55:05.201984120 +0000
[email protected]@ -5,5 +5,4 @@ pyrsistent
  # 'mimeparse' has not been uploaded by the maintainer with Python3 compat
  # but someone kindly uploaded a fixed version as 'python-mimeparse'.
  python-mimeparse
 -unittest2>=1.0.0
  traceback2
---- testtools-1.8.0/testtools.egg-info/requires.txt.orig	2015-07-27 13:17:04.427222211 -0400
-+++ testtools-1.8.0/testtools.egg-info/requires.txt	2015-07-27 13:26:25.228017080 -0400
[email protected]@ -1,5 +1,4 @@
- pbr>=0.11
- extras
+--- testtools-2.0.0/testtools.egg-info/requires.txt.~1~	2016-02-04 02:45:21.000000000 +0000
++++ testtools-2.0.0/testtools.egg-info/requires.txt	2016-09-06 16:55:18.120421746 +0000
[email protected]@ -3,9 +3,4 @@ extras
+ fixtures>=1.3.0
+ pyrsistent
  python-mimeparse
 -unittest2>=1.0.0
--traceback2
-\ No newline at end of file
-+traceback2
+ traceback2
+-
+-[test]
+-testscenarios
+-unittest2>=1.1.0
--- a/components/python/testtools/testtools-PYVER.p5m	Wed Sep 07 14:48:39 2016 -0700
+++ b/components/python/testtools/testtools-PYVER.p5m	Wed Sep 07 14:48:39 2016 -0700
@@ -49,6 +49,9 @@
 $(PYTHON_2.7_ONLY)file path=usr/lib/python$(PYVER)/vendor-packages/testtools/_compat2x.py
 $(PYTHON_3.4_ONLY)file path=usr/lib/python$(PYVER)/vendor-packages/testtools/_compat3x.py
 $(PYTHON_3.5_ONLY)file path=usr/lib/python$(PYVER)/vendor-packages/testtools/_compat3x.py
+file path=usr/lib/python$(PYVER)/vendor-packages/testtools/_deferred.py
+file path=usr/lib/python$(PYVER)/vendor-packages/testtools/_deferreddebug.py
+file path=usr/lib/python$(PYVER)/vendor-packages/testtools/_deferredmatchers.py
 file path=usr/lib/python$(PYVER)/vendor-packages/testtools/_spinner.py
 file path=usr/lib/python$(PYVER)/vendor-packages/testtools/assertions.py
 file path=usr/lib/python$(PYVER)/vendor-packages/testtools/compat.py
@@ -75,6 +78,7 @@
 file path=usr/lib/python$(PYVER)/vendor-packages/testtools/testresult/doubles.py
 file path=usr/lib/python$(PYVER)/vendor-packages/testtools/testresult/real.py
 file path=usr/lib/python$(PYVER)/vendor-packages/testtools/testsuite.py
+file path=usr/lib/python$(PYVER)/vendor-packages/testtools/twistedsupport/__init__.py
 file path=usr/lib/python$(PYVER)/vendor-packages/testtools/utils.py
 #
 license testtools.license license=MIT
@@ -86,18 +90,15 @@
 # force a dependency on extras; pkgdepend work is needed to flush this out.
 depend type=require fmri=library/python/extras-$(PYV)
 
+# force a dependency on fixtures; pkgdepend work is needed to flush this out.
+depend type=require fmri=library/python/fixtures-$(PYV)
+
 # force a dependency on pbr; pkgdepend work is needed to flush this out.
 depend type=require fmri=library/python/pbr-$(PYV)
 
-# force a dependency on python-mimeparse; pkgdepend work is needed to flush this out.
-depend type=require fmri=library/python/python-mimeparse-$(PYV)
+# force a dependency on python-twisted; pkgdepend work is needed to flush this out.
+depend type=require fmri=library/python/python-twisted-$(PYV)
 
 # force a dependency on the testtools package
 depend type=require \
     fmri=library/python/[email protected]$(IPS_COMPONENT_VERSION),$(BUILD_VERSION)
-
-# force a dependency on traceback2; pkgdepend work is needed to flush this out.
-depend type=require fmri=library/python/traceback2-$(PYV)
-
-# force a dependency on unittest2; pkgdepend work is needed to flush this out.
-depend type=require fmri=library/python/unittest2-$(PYV)
--- a/components/python/testtools/testtools.license	Wed Sep 07 14:48:39 2016 -0700
+++ b/components/python/testtools/testtools.license	Wed Sep 07 14:48:39 2016 -0700
@@ -65,11 +65,8 @@
 
 Python License (Python-2.0)
 
-Copyright (c) 2001, 2002, 2003, 2004, 2005, 2006 Python Software Foundation; All Rights Reserved
-
 Python License, Version 2 (Python-2.0)
 
-
 PYTHON SOFTWARE FOUNDATION LICENSE VERSION 2
 --------------------------------------------
 
@@ -170,7 +167,6 @@
 
 CNRI OPEN SOURCE LICENSE AGREEMENT (for Python 1.6b1)
 --------------------------------------------------
-Python 1.6, beta 1, is made available subject to the terms and conditions in CNRIs License Agreement. This Agreement may be located on the Internet using the following unique, persistent identifier (known as a handle): 1895.22/1011. This Agreement may also be obtained from a proxy server on the Internet using the URL:http://hdl.handle.net/1895.22/1011
 
 IMPORTANT: PLEASE READ THE FOLLOWING AGREEMENT CAREFULLY.
 
@@ -263,5 +259,3 @@
 WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT
 OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
-
-